Bug 830027 - gedit's Replace dialog incorrectly greys out main window
gedit's Replace dialog incorrectly greys out main window
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 23:10 EDT by Elliott Sales de Andrade
Modified: 2015-01-09 22:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 22:03:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Elliott Sales de Andrade 2012-06-07 23:10:15 EDT
Description of problem:
When using the Find and Replace dialog, the main window is greyed out as if it's lost focus. While it's not the immediate window of focus, it should not be greyed out, as it makes it difficult to do replacements.

Version-Release number of selected component (if applicable):
gedit-3.4.2-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open a file in gedit.
2. Open Replace dialog.
3. Toggle focus between the main window and dialog.
  
Actual results:
The main window is greyed out. Running a search highlights a result, but you can't really see it. When the main window is focused, the Replace dialog is greyed out.

Expected results:
The main window or Replace dialog should not be greyed out.
Comment 1 Fedora End Of Life 2013-07-03 23:07:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:12:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Elliott Sales de Andrade 2013-08-05 19:49:28 EDT
Still true in Fedora 19. Slightly better in that the current match is yellow on grey (and visible) instead of white on grey. The other matches are still dark grey on grey though.
Comment 4 Fedora End Of Life 2015-01-09 16:58:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Elliott Sales de Andrade 2015-01-09 22:03:54 EST
Looks good now in Fedora 21. Matches are highlighted in yellow everywhere, and the current is highlighted with the usual selection colour.

Note You need to log in before you can comment on or make changes to this bug.